/irm/v1/routing-profiles

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call allows searching of existing Routing Profiles.

Parameters

  • TenantID - How your specific customer instance is identified, this will be a number. Find this in the app Help (?) icon > MotionCX Voice > Tenant:
  • SkipCount - This is where the list starts. Ex a value of "3" will have the list start from result 4.
  • MaxResultCount - This will limit the total number of results shown.
  • Sorting - This allows parsing of the list by the variables in the return.
  • Search - Search for particular parameter values in the return.
  • It is recommended advanced filter object be done outside of the API document for best results.

Responses available:

  • 200
  • 401
  • 403

Example return:

{
  "totalCount": 2,
  "items": [
    {
      "id": 11,
      "name": "Voice Only",
      "description": null,
      "workstates": {
        "workstateSetId": 2,
        "defaultWorkstateId": 1
      },
      "queues": null,
      "agents": [],
      "chatChannelSettings": null,
      "caseRoutingChannelSettings": null,
      "phoneChannelSettings": null
    },
    {
      "id": 18,
      "name": " voice only",
      "description": null,
      "workstates": {
        "workstateSetId": 2,
        "defaultWorkstateId": 2
      },
      "queues": null,
      "agents": [],
      "chatChannelSettings": null,
      "caseRoutingChannelSettings": null,
      "phoneChannelSettings": null
    }
  ]
}
Query Params
int32
required
int32 | null
int32 | null
string | null
string | null
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json